Package pygccxml :: Package declarations :: Module pattern_parser :: Class parser_t

# type parser_t

source code

    object --+
             |
            parser_t

implementation details

Instance Methods

__init__(self, pattern_char_begin, pattern_char_end, pattern_char_separator) | source code

has_pattern(self, decl_string) implementation details | source code

name(self, decl_string) implementation details | source code

args(self, decl_string) implementation details | source code

find_args(self, text, start=None) implementation details | source code

split(self, decl_string) implementation details | source code

split_recursive(self, decl_string) implementation details | source code

join(self, name, args, arg_separator=None) implementation details | source code

normalize(self, decl_string, arg_separator=None) implementation details | source code

Class Variables
| NOT_FOUND = ``(`-1`,` -1`)`` implementation details

Method Details

### __init__(self, pattern_char_begin, pattern_char_end, pattern_char_separator)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)